=== added directory 'tests'
=== added directory 'tests/autopilot'
=== added directory 'tests/autopilot/goodhope'
=== added file 'tests/autopilot/goodhope/__init__.py'
--- tests/autopilot/goodhope/__init__.py	1970-01-01 00:00:00 +0000
+++ tests/autopilot/goodhope/__init__.py	2012-11-23 08:40:25 +0000
@@ -0,0 +1,8 @@
+# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
+# Copyright 2012 Canonical
+#
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 3, as published
+# by the Free Software Foundation.
+
+"""Autopilot tests and emulators for goodhope - top level package."""

=== added directory 'tests/autopilot/goodhope/emulators'
=== added file 'tests/autopilot/goodhope/emulators/__init__.py'
--- tests/autopilot/goodhope/emulators/__init__.py	1970-01-01 00:00:00 +0000
+++ tests/autopilot/goodhope/emulators/__init__.py	2012-11-23 08:40:25 +0000
@@ -0,0 +1,6 @@
+# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
+# Copyright 2012 Canonical
+#
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 3, as published
+# by the Free Software Foundation.

=== added file 'tests/autopilot/goodhope/emulators/main_window.py'
--- tests/autopilot/goodhope/emulators/main_window.py	1970-01-01 00:00:00 +0000
+++ tests/autopilot/goodhope/emulators/main_window.py	2012-11-23 08:40:25 +0000
@@ -0,0 +1,10 @@
+class MainWindow(object):
+    """An emulator class that makes it easy to interact with the gallery app."""
+
+    def __init__(self, app):
+        self.app = app
+
+    def get_qml_view(self):
+        """Get the main QML view"""
+        return self.app.select_single("QQuickView")
+

=== added directory 'tests/autopilot/goodhope/tests'
=== added file 'tests/autopilot/goodhope/tests/__init__.py'
--- tests/autopilot/goodhope/tests/__init__.py	1970-01-01 00:00:00 +0000
+++ tests/autopilot/goodhope/tests/__init__.py	2012-11-23 08:40:25 +0000
@@ -0,0 +1,43 @@
+# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
+# Copyright 2012 Canonical
+#
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 3, as published
+# by the Free Software Foundation.
+
+"""goodhope autopilot tests."""
+
+from os import remove
+import os.path
+
+from autopilot.introspection.qt import QtIntrospectionTestMixin
+from autopilot.testcase import AutopilotTestCase
+
+from goodhope.emulators.main_window import MainWindow
+
+class GoodhopeTestCase(AutopilotTestCase, QtIntrospectionTestMixin):
+
+    """A common test case class that provides several useful methods for goodhope tests."""
+
+    def setUp(self):
+        super(GoodhopeTestCase, self).setUp()
+        # Lets assume we are installed system wide if this file is somewhere in /usr
+        if os.path.realpath(__file__).startswith("/usr/"):
+            self.launch_test_installed()
+        else:
+            self.launch_test_local()
+
+    def launch_test_local(self):
+        self.app = self.launch_test_application(
+            "../../gallery"
+            )
+
+    def launch_test_installed(self):
+        self.app = self.launch_test_application(
+           "gallery",
+           )
+
+    @property
+    def main_window(self):
+        return MainWindow(self.app)
+

=== added file 'tests/autopilot/goodhope/tests/test_mainwindow.py'
--- tests/autopilot/goodhope/tests/test_mainwindow.py	1970-01-01 00:00:00 +0000
+++ tests/autopilot/goodhope/tests/test_mainwindow.py	2012-11-23 08:40:25 +0000
@@ -0,0 +1,35 @@
+# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
+# Copyright 2012 Canonical
+#
+# This program is free software: you can redistribute it and/or modify it
+# under the terms of the GNU General Public License version 3, as published
+# by the Free Software Foundation.
+
+"""Tests for the Gallery App"""
+
+from __future__ import absolute_import
+
+from testtools.matchers import Equals, NotEquals
+from autopilot.matchers import Eventually
+
+from goodhope.tests import GoodhopeTestCase
+
+import time
+import os
+from os import path
+
+class TestMainWindow(GoodhopeTestCase):
+    """Tests the main gallery features"""
+
+    """ This is needed to wait for the application to start.
+        In the testfarm, the application may take some time to show up."""
+    def setUp(self):
+        super(TestMainWindow, self).setUp()
+        self.assertThat(self.main_window.get_qml_view().visible, Eventually(Equals(True)))
+
+    def tearDown(self):
+        super(TestMainWindow, self).tearDown()
+
+    """Dummy Test *changeme* """
+    def test_dummy(self):
+        self.assertThat(True, Equals(True))

